using Microsoft.Data.SqlClient;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LSFE.Domain.Services
{
    public static class OutputParamMessage
    {
        public static (SqlParameter MessCode, SqlParameter Message) CreateOutputParams()
        {
            var messCode = new SqlParameter("@MessCode", SqlDbType.TinyInt) { Direction = ParameterDirection.Output };
            var message = new SqlParameter("@Message", SqlDbType.VarChar, 8000) { Direction = ParameterDirection.Output };
            return (messCode, message);
        }
        public static (SqlParameter MessCode, SqlParameter Message, SqlParameter planId) CreateOutputParamsPlanId()
        {
            var messCode = new SqlParameter("@MessCode", SqlDbType.TinyInt) { Direction = ParameterDirection.Output };
            var message = new SqlParameter("@Message", SqlDbType.VarChar, 8000) { Direction = ParameterDirection.Output };
            var planId = new SqlParameter("@MRRawPlanIdOutPut", SqlDbType.VarChar, 8000) { Direction = ParameterDirection.Output };
            return (messCode, message, planId);
        }
    }
}
